Bug 23256 - fr-CA OPAC_REG_VERIFY has hard-coded http://
Summary: fr-CA OPAC_REG_VERIFY has hard-coded http://
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Notices (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 14622
Blocks:
  Show dependency treegraph
 
Reported: 2019-07-02 18:42 UTC by M. Tompsett
Modified: 2019-11-26 11:46 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00


Attachments
Bug 23256: Remove the http:// prefix before OPACBaseURL in OPAC_REG_VERIFY (3.49 KB, patch)
2019-11-20 13:37 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 23256: Remove the http:// prefix before OPACBaseURL in OPAC_REG_VERIFY (3.55 KB, patch)
2019-11-24 14:40 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description M. Tompsett 2019-07-02 18:42:40 UTC
Should be an easy fix to remove the http://, since the OPACBaseUrl is supposed to have the protocol in it.

Need to create an atomic update (fix during upgrade) AND
fix installer/data/mysql/fr-CA/obligatoire/sample_notices.sql
(fix on fresh install)

TEST PLAN
----------
1) install fresh for fr-CA language
2) OPAC_REG_VERIFY letter should have http:// in it.
3) apply patch
4) restart all
5) run database upgrade
6) OPAC_REG_VERIFY letter should not have http:// in it.
7) reset all
8) OPAC_REG_VERIFY letter should not have http:// in it.
9) run qa test tools
Comment 1 Jonathan Druart 2019-11-20 13:37:24 UTC
Created attachment 95616 [details] [review]
Bug 23256: Remove the http:// prefix before OPACBaseURL in OPAC_REG_VERIFY

The title explained everything, compare with
installer/data/mysql/fr-FR/1-Obligatoire/sample_notices.sql and other
notices.
It's certainly due to the fact that fr-CA took time to be integrated and
the change happened in the meanwhile
Comment 2 Katrin Fischer 2019-11-24 14:40:58 UTC
Created attachment 95767 [details] [review]
Bug 23256: Remove the http:// prefix before OPACBaseURL in OPAC_REG_VERIFY

The title explained everything, compare with
installer/data/mysql/fr-FR/1-Obligatoire/sample_notices.sql and other
notices.
It's certainly due to the fact that fr-CA took time to be integrated and
the change happened in the meanwhile

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 3 Katrin Fischer 2019-11-24 14:42:22 UTC
Trivial fix, passing QA.
Comment 4 Martin Renvoize 2019-11-26 11:46:17 UTC
Nice work!

Pushed to master for 19.11.00